<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ClaseBBDD</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClaseBBDD";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClaseBBDD.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?DAO/ClaseBBDD.html" target="_top">Frames</a></li>
<li><a href="ClaseBBDD.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">DAO</div>
<h2 title="Class ClaseBBDD" class="title">Class ClaseBBDD</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>DAO.ClaseBBDD</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClaseBBDD</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#ClaseBBDD--">ClaseBBDD</a></span>()</code>
<div class="block">Constructor de clase</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#conexion--">conexion</a></span>()</code>
<div class="block">Conexion general con BBDD<br>

 Metodo para la conexion de java con la base de datos MySql</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#conexionMYSQL--">conexionMYSQL</a></span>()</code>
<div class="block">Metodo para controlar si esta creada la conexion con mysql o no</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#creacionBBDD--">creacionBBDD</a></span>()</code>
<div class="block">Metodo que crea una base datos y devuelve booleano con su respuesta</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#creacionTablas--">creacionTablas</a></span>()</code>
<div class="block">Metodo para crear las tablas para la database biblioteca</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#dbExists--">dbExists</a></span>()</code>
<div class="block">Metodo para saber si la base de datos 'notaria' existe</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#deleteBookBBDD-int-">deleteBookBBDD</a></span>(int&nbsp;nISBN)</code>
<div class="block">Borrado de un libro en la BBDD<br>

 Metodo que borrara el registro que contenga un numero ISBN igual que el
 introducido</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#deleteUserBBDD-java.lang.String-">deleteUserBBDD</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Borrar usuario de la BBDD<br>

 Metodo para el borrado de un registro concreto en la base de datos</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#finalizarPrestamoLibroBBDD-Negocio.PrestamoClass-">finalizarPrestamoLibroBBDD</a></span>(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)</code>
<div class="block">Finalizacion de un prestamo<br>

 Metodo que realizara un UPDATE actualizando el campo que contiene la
 fecha de devolucion</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getObjectBook-java.lang.String-">getObjectBook</a></span>(java.lang.String&nbsp;numIsbn)</code>
<div class="block">Obtencion de un libro de la base de datos<br>

 Metodo con el que se obtendra un objeto con los datos del libro
 solicitado, correspondiente al numero ISBN introducido como parametro</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getObjectPrestamo-java.lang.String-java.lang.String-">getObjectPrestamo</a></span>(java.lang.String&nbsp;Isbn,
                 java.lang.String&nbsp;nCarnet)</code>
<div class="block">Obtencion de un Objeto de la clase PrestamoClass<br>
 Se obtendra un objeto con los parametros suficientes para la busqueda de
 la referencia a actualizar y en este caso se trata de devolver un libro
 por lo que se necesita el num id de la fila de la tabla.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getObjectUser-java.lang.String-">getObjectUser</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Obtencion de un usuario de BBDD<br>

 Metodo con el que se obtendra un objeto con los datos del usuario
 solicitado</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getRowExampleInsertLibros--">getRowExampleInsertLibros</a></span>()</code>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getRowExampleInsertPrestamos--">getRowExampleInsertPrestamos</a></span>()</code>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getRowExampleInsertUsuarios--">getRowExampleInsertUsuarios</a></span>()</code>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insercionDatosEjemplo--">insercionDatosEjemplo</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insertBookBBDD-int-java.lang.String-java.lang.String-">insertBookBBDD</a></span>(int&nbsp;isbn,
              java.lang.String&nbsp;titulo,
              java.lang.String&nbsp;editorial)</code>
<div class="block">Añadir un nuevo libro en BBDD<br>

 Metodo con el que se introducira un nuevo registro compuesto por los
 datos de un libro</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insertPrestamoLibroBBDD-Negocio.PrestamoClass-">insertPrestamoLibroBBDD</a></span>(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)</code>
<div class="block">Creacion de un Prestamo de Libro<br>

 Metodo que realiza un INSERT TO en la Tabla prestamos_libros de la Base
 de datos biblioteca con el ojetivo de crear un nuevo registro de prestamo
 en la tabla</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insertUserBBDD-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">insertUserBBDD</a></span>(java.lang.String&nbsp;nCarnet,
              java.lang.String&nbsp;nombre,
              java.lang.String&nbsp;apellidos,
              java.lang.String&nbsp;direccion,
              java.lang.String&nbsp;tlf,
              java.lang.String&nbsp;email,
              java.lang.String&nbsp;password)</code>
<div class="block">Añadir de usuario en la BBDD<br>

 Método que inserta un nuevo usuario en la base de datos</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isAdministrator-java.lang.String-java.lang.String-">isAdministrator</a></span>(java.lang.String&nbsp;nombre,
               java.lang.String&nbsp;password)</code>
<div class="block">Existencia de un Administrador<br>

 Método que devulve si un administrador con una contraseña concreta existe
 o no</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isBookDevuelto-Negocio.PrestamoClass-">isBookDevuelto</a></span>(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)</code>
<div class="block">Existencia de devolucion de Book<br>
 Metodo de confirmacion de la existencia de la devolucion de un libro o no</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isBookPrestado-Negocio.PrestamoClass-">isBookPrestado</a></span>(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)</code>
<div class="block">Existencia del prestamo de un libro actualmente<br>
 Metodo que comprueba la existencia del prestamo de un libro por medio del
 numero ISBN del libro a consultar.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isISBNExists-java.lang.String-">isISBNExists</a></span>(java.lang.String&nbsp;nISBN)</code>
<div class="block">Existencia del numero ISBN de un libro<br>

 Metodo que comprueba la existencia de un libro por medio de su numero
 ISBN devolviendo true o false</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isUserCarnetNumber-java.lang.String-">isUserCarnetNumber</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Existencia de un Numero de Carnet de usuario<br>

 Metodo que devuelve si un Numero de Carnet ya existe en la BBDD o no</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isUserEmail-java.lang.String-">isUserEmail</a></span>(java.lang.String&nbsp;email)</code>
<div class="block">Existencia de un email<br>

 Metodo que devuelve si un email ya existe en la BBDD o no</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#lendingBook-java.lang.String-java.lang.String-">lendingBook</a></span>(java.lang.String&nbsp;isbn,
           java.lang.String&nbsp;numCarnet)</code>
<div class="block">Actualizar prestamo de un libro<br>
 Metodo que actualiza exclusivamente el campo carnet_usuario y con ello se
 actualiza el estado del prestamo.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#listadoAllPrestamos--">listadoAllPrestamos</a></span>()</code>
<div class="block">Listado de todos los prestamos sin condiciones<br>
 Metodo que devolvera un arrayList que contendra objetos de los prestamos
 que contemplen los requisitos solicitados en la query interna, en este
 caso ninguna</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#listadoHistorialPrestamosUsuario-java.lang.String-">listadoHistorialPrestamosUsuario</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Listado del historial de prestamos<br>
 Metodo que solicita los datos de los prestamos realizados y que no esten
 en curso actualmente (no estan devueltos)</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#listadoPrestamosActualesUsuario-java.lang.String-">listadoPrestamosActualesUsuario</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Listado de los prestamos actuales en vigor de un usuario<br>
 Metodo que devolvera un arrayList que contendra objetos de los prestamos
 que contemplen los requisitos solicitados en la query interna</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#mostrarPrestamos-Negocio.PrestamoClass-">mostrarPrestamos</a></span>(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamo)</code>
<div class="block">Muestra basica de prestamos<br>
 Metodo que mostrara por panatalla los datos de un prestamo solicitado</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#updateBookBBDD-java.lang.String-java.lang.String-java.lang.String-">updateBookBBDD</a></span>(java.lang.String&nbsp;isbn,
              java.lang.String&nbsp;titulo,
              java.lang.String&nbsp;editorial)</code>
<div class="block">Actualizar datos de un libro<br>

 Metodo con el que se actualizara el registro correspondiente al libro
 seleccionado</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#updatePasswordAdministrator-java.lang.String-java.lang.String-java.lang.String-">updatePasswordAdministrator</a></span>(java.lang.String&nbsp;nomAdmin,
                           java.lang.String&nbsp;oldPassword,
                           java.lang.String&nbsp;newPassword)</code>
<div class="block">Actualizacion de Password de Administrador<br>

 Método que actualiza el password del administrador actualmente logeado</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#updateUserBBDD-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">updateUserBBDD</a></span>(java.lang.String&nbsp;nCarnet,
              java.lang.String&nbsp;nombre,
              java.lang.String&nbsp;apellidos,
              java.lang.String&nbsp;direccion,
              java.lang.String&nbsp;tlf,
              java.lang.String&nbsp;email,
              java.lang.String&nbsp;password)</code>
<div class="block">Actualizacion de un usuario de la BBDD<br>

 Metodo para actualizar los datos de un registro de la base de datos</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClaseBBDD--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClaseBBDD</h4>
<pre>public&nbsp;ClaseBBDD()
          throws java.sql.SQLException</pre>
<div class="block">Constructor de clase</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="conexion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>conexion</h4>
<pre>public&nbsp;void&nbsp;conexion()
              throws java.sql.SQLException</pre>
<div class="block">Conexion general con BBDD<br>

 Metodo para la conexion de java con la base de datos MySql</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="conexionMYSQL--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>conexionMYSQL</h4>
<pre>public&nbsp;boolean&nbsp;conexionMYSQL()</pre>
<div class="block">Metodo para controlar si esta creada la conexion con mysql o no</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a name="dbExists--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dbExists</h4>
<pre>public&nbsp;boolean&nbsp;dbExists()</pre>
<div class="block">Metodo para saber si la base de datos 'notaria' existe</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="creacionBBDD--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creacionBBDD</h4>
<pre>public&nbsp;boolean&nbsp;creacionBBDD()</pre>
<div class="block">Metodo que crea una base datos y devuelve booleano con su respuesta</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="creacionTablas--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creacionTablas</h4>
<pre>public&nbsp;void&nbsp;creacionTablas()</pre>
<div class="block">Metodo para crear las tablas para la database biblioteca</div>
</li>
</ul>
<a name="insercionDatosEjemplo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insercionDatosEjemplo</h4>
<pre>public&nbsp;void&nbsp;insercionDatosEjemplo()</pre>
</li>
</ul>
<a name="updatePasswordAdministrator-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updatePasswordAdministrator</h4>
<pre>public&nbsp;void&nbsp;updatePasswordAdministrator(java.lang.String&nbsp;nomAdmin,
                                        java.lang.String&nbsp;oldPassword,
                                        java.lang.String&nbsp;newPassword)
                                 throws java.sql.SQLException</pre>
<div class="block">Actualizacion de Password de Administrador<br>

 Método que actualiza el password del administrador actualmente logeado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nomAdmin</code> - parametro cuyo valor correspondera al nombre de un
 administrador</dd>
<dd><code>oldPassword</code> - parametro cuyo valor correspondera con el password
 antiguo</dd>
<dd><code>newPassword</code> - parametro cuyo valor correspondera con el nuevo
 password</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isAdministrator-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAdministrator</h4>
<pre>public&nbsp;boolean&nbsp;isAdministrator(java.lang.String&nbsp;nombre,
                               java.lang.String&nbsp;password)
                        throws java.sql.SQLException</pre>
<div class="block">Existencia de un Administrador<br>

 Método que devulve si un administrador con una contraseña concreta existe
 o no</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombre</code> - parametro cuyo valor correspondera al nombre de un
 administrador</dd>
<dd><code>password</code> - parametro cuyo valor correspondera al password del
 administrador</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retornara "true" si existe un administrador actualmente logeado,
 en caso contrario no</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="getObjectUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectUser</h4>
<pre>public&nbsp;<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;getObjectUser(java.lang.String&nbsp;nCarnet)
                        throws java.sql.SQLException</pre>
<div class="block">Obtencion de un usuario de BBDD<br>

 Metodo con el que se obtendra un objeto con los datos del usuario
 solicitado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna un objeto de la clase UserClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Escepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="insertUserBBDD-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertUserBBDD</h4>
<pre>public&nbsp;void&nbsp;insertUserBBDD(java.lang.String&nbsp;nCarnet,
                           java.lang.String&nbsp;nombre,
                           java.lang.String&nbsp;apellidos,
                           java.lang.String&nbsp;direccion,
                           java.lang.String&nbsp;tlf,
                           java.lang.String&nbsp;email,
                           java.lang.String&nbsp;password)
                    throws java.sql.SQLException</pre>
<div class="block">Añadir de usuario en la BBDD<br>

 Método que inserta un nuevo usuario en la base de datos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dd><code>nombre</code> - parametro cuyo valor correspondera con el numero de nombre
 del usuario</dd>
<dd><code>apellidos</code> - parametro cuyo valor correspondera con los apellidos del
 usuario</dd>
<dd><code>direccion</code> - parametro cuyo valor correspondera con la direccion del
 usuario</dd>
<dd><code>tlf</code> - parametro cuyo valor correspondera con el numero de telefono
 del usuario</dd>
<dd><code>email</code> - parametro cuyo valor correspondera con el email del usuario</dd>
<dd><code>password</code> - parametro cuyo valor correspondera con el password del
 usuario</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="deleteUserBBDD-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteUserBBDD</h4>
<pre>public&nbsp;void&nbsp;deleteUserBBDD(java.lang.String&nbsp;nCarnet)
                    throws java.sql.SQLException</pre>
<div class="block">Borrar usuario de la BBDD<br>

 Metodo para el borrado de un registro concreto en la base de datos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="updateUserBBDD-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateUserBBDD</h4>
<pre>public&nbsp;void&nbsp;updateUserBBDD(java.lang.String&nbsp;nCarnet,
                           java.lang.String&nbsp;nombre,
                           java.lang.String&nbsp;apellidos,
                           java.lang.String&nbsp;direccion,
                           java.lang.String&nbsp;tlf,
                           java.lang.String&nbsp;email,
                           java.lang.String&nbsp;password)
                    throws java.sql.SQLException</pre>
<div class="block">Actualizacion de un usuario de la BBDD<br>

 Metodo para actualizar los datos de un registro de la base de datos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dd><code>nombre</code> - parametro cuyo valor correspondera con el numero de nombre
 del usuario</dd>
<dd><code>apellidos</code> - parametro cuyo valor correspondera con los apellidos del
 usuario</dd>
<dd><code>direccion</code> - parametro cuyo valor correspondera con la direccion del
 usuario</dd>
<dd><code>tlf</code> - parametro cuyo valor correspondera con el numero de telefono
 del usuario</dd>
<dd><code>email</code> - parametro cuyo valor correspondera con el email del usuario</dd>
<dd><code>password</code> - parametro cuyo valor correspondera con el password del
 usuario</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isUserCarnetNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUserCarnetNumber</h4>
<pre>public&nbsp;boolean&nbsp;isUserCarnetNumber(java.lang.String&nbsp;nCarnet)
                           throws java.sql.SQLException</pre>
<div class="block">Existencia de un Numero de Carnet de usuario<br>

 Metodo que devuelve si un Numero de Carnet ya existe en la BBDD o no</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna "true" o "false" si un numero de carnet de usuario existe
 o no en la base de datos</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isUserEmail-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUserEmail</h4>
<pre>public&nbsp;boolean&nbsp;isUserEmail(java.lang.String&nbsp;email)
                    throws java.sql.SQLException</pre>
<div class="block">Existencia de un email<br>

 Metodo que devuelve si un email ya existe en la BBDD o no</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - parametro cuyo valor correspondera con el email del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna "true" o "false" si un email existe o no en la base de
 datos</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="getObjectBook-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectBook</h4>
<pre>public&nbsp;<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a>&nbsp;getObjectBook(java.lang.String&nbsp;numIsbn)
                        throws java.sql.SQLException</pre>
<div class="block">Obtencion de un libro de la base de datos<br>

 Metodo con el que se obtendra un objeto con los datos del libro
 solicitado, correspondiente al numero ISBN introducido como parametro</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numIsbn</code> - parametro cuyo valor correspondera con el numero de ISBN
 de un libro</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna un objeto de la clase BookClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="insertBookBBDD-int-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertBookBBDD</h4>
<pre>public&nbsp;void&nbsp;insertBookBBDD(int&nbsp;isbn,
                           java.lang.String&nbsp;titulo,
                           java.lang.String&nbsp;editorial)
                    throws java.sql.SQLException</pre>
<div class="block">Añadir un nuevo libro en BBDD<br>

 Metodo con el que se introducira un nuevo registro compuesto por los
 datos de un libro</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - parametro cuyo valor correspondera con el numero de ISBN de
 un libro</dd>
<dd><code>titulo</code> - parametro cuyo valor correspondera con el nombre de un
 libro</dd>
<dd><code>editorial</code> - parametro cuyo valor correspondera con la editorial de
 un libr</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="deleteBookBBDD-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteBookBBDD</h4>
<pre>public&nbsp;void&nbsp;deleteBookBBDD(int&nbsp;nISBN)
                    throws java.sql.SQLException</pre>
<div class="block">Borrado de un libro en la BBDD<br>

 Metodo que borrara el registro que contenga un numero ISBN igual que el
 introducido</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nISBN</code> - parametro cuyo valor correspondera con el numero de ISBN de
 un libro</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="updateBookBBDD-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateBookBBDD</h4>
<pre>public&nbsp;void&nbsp;updateBookBBDD(java.lang.String&nbsp;isbn,
                           java.lang.String&nbsp;titulo,
                           java.lang.String&nbsp;editorial)
                    throws java.sql.SQLException</pre>
<div class="block">Actualizar datos de un libro<br>

 Metodo con el que se actualizara el registro correspondiente al libro
 seleccionado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - parametro cuyo valor correspondera con el numero de ISBN de
 un libro</dd>
<dd><code>titulo</code> - parametro cuyo valor correspondera con el nombre de un
 libro</dd>
<dd><code>editorial</code> - parametro cuyo valor correspondera con la editorial de
 un libro</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isISBNExists-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isISBNExists</h4>
<pre>public&nbsp;boolean&nbsp;isISBNExists(java.lang.String&nbsp;nISBN)
                     throws java.sql.SQLException</pre>
<div class="block">Existencia del numero ISBN de un libro<br>

 Metodo que comprueba la existencia de un libro por medio de su numero
 ISBN devolviendo true o false</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nISBN</code> - parametro cuyo valor correspondera con el numero de ISBN de
 un libro</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna "true" si el numero ISBN existe, en caso contrario
 retorna "false"</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="insertPrestamoLibroBBDD-Negocio.PrestamoClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertPrestamoLibroBBDD</h4>
<pre>public&nbsp;void&nbsp;insertPrestamoLibroBBDD(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)
                             throws java.sql.SQLException,
                                    java.text.ParseException</pre>
<div class="block">Creacion de un Prestamo de Libro<br>

 Metodo que realiza un INSERT TO en la Tabla prestamos_libros de la Base
 de datos biblioteca con el ojetivo de crear un nuevo registro de prestamo
 en la tabla</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prestamoClass</code> - Objeto de la clase PrestamoClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
<dd><code>java.text.ParseException</code> - Excepcion de tipo parse</dd>
</dl>
</li>
</ul>
<a name="finalizarPrestamoLibroBBDD-Negocio.PrestamoClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finalizarPrestamoLibroBBDD</h4>
<pre>public&nbsp;void&nbsp;finalizarPrestamoLibroBBDD(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)
                                throws java.sql.SQLException</pre>
<div class="block">Finalizacion de un prestamo<br>

 Metodo que realizara un UPDATE actualizando el campo que contiene la
 fecha de devolucion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prestamoClass</code> - Objeto de la clase PrestamoClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="getObjectPrestamo-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectPrestamo</h4>
<pre>public&nbsp;<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;getObjectPrestamo(java.lang.String&nbsp;Isbn,
                                       java.lang.String&nbsp;nCarnet)
                                throws java.sql.SQLException</pre>
<div class="block">Obtencion de un Objeto de la clase PrestamoClass<br>
 Se obtendra un objeto con los parametros suficientes para la busqueda de
 la referencia a actualizar y en este caso se trata de devolver un libro
 por lo que se necesita el num id de la fila de la tabla.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Isbn</code> - parametro cuyo valor correspondera con el numero isbn del
 libro</dd>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>devolvera un objeto de la clase PrestamoClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="listadoAllPrestamos--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listadoAllPrestamos</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;listadoAllPrestamos()
                                        throws java.sql.SQLException</pre>
<div class="block">Listado de todos los prestamos sin condiciones<br>
 Metodo que devolvera un arrayList que contendra objetos de los prestamos
 que contemplen los requisitos solicitados en la query interna, en este
 caso ninguna</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retornara un arrayList de objetos de la clase PrestamoClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="listadoPrestamosActualesUsuario-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listadoPrestamosActualesUsuario</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;listadoPrestamosActualesUsuario(java.lang.String&nbsp;nCarnet)
                                                    throws java.sql.SQLException</pre>
<div class="block">Listado de los prestamos actuales en vigor de un usuario<br>
 Metodo que devolvera un arrayList que contendra objetos de los prestamos
 que contemplen los requisitos solicitados en la query interna</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retornara un arrayList de objetos de la clase PrestamoClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="listadoHistorialPrestamosUsuario-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listadoHistorialPrestamosUsuario</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;listadoHistorialPrestamosUsuario(java.lang.String&nbsp;nCarnet)
                                                     throws java.sql.SQLException</pre>
<div class="block">Listado del historial de prestamos<br>
 Metodo que solicita los datos de los prestamos realizados y que no esten
 en curso actualmente (no estan devueltos)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet
 del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna un arrayList que contiene los objetos de la clase
 prestamos que cumplan las condiciones de la query</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="mostrarPrestamos-Negocio.PrestamoClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mostrarPrestamos</h4>
<pre>public&nbsp;void&nbsp;mostrarPrestamos(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamo)</pre>
<div class="block">Muestra basica de prestamos<br>
 Metodo que mostrara por panatalla los datos de un prestamo solicitado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prestamo</code> - objeto de la clase PrestamoClass</dd>
</dl>
</li>
</ul>
<a name="isBookPrestado-Negocio.PrestamoClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBookPrestado</h4>
<pre>public&nbsp;boolean&nbsp;isBookPrestado(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)
                       throws java.sql.SQLException</pre>
<div class="block">Existencia del prestamo de un libro actualmente<br>
 Metodo que comprueba la existencia del prestamo de un libro por medio del
 numero ISBN del libro a consultar.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prestamoClass</code> - Objeto de la clase PrestamoClass</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna "true" si algun usuario tiene el libro solicitado en
 prestamo actualmente, en caso contrario "false".</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isBookDevuelto-Negocio.PrestamoClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBookDevuelto</h4>
<pre>public&nbsp;boolean&nbsp;isBookDevuelto(<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a>&nbsp;prestamoClass)
                       throws java.sql.SQLException</pre>
<div class="block">Existencia de devolucion de Book<br>
 Metodo de confirmacion de la existencia de la devolucion de un libro o no</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prestamoClass</code> - parametro que contendra un objeto de la clase
 PrestamoClass</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna si la consulta conteniene alguna respuesta o no</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="lendingBook-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lendingBook</h4>
<pre>public&nbsp;void&nbsp;lendingBook(java.lang.String&nbsp;isbn,
                        java.lang.String&nbsp;numCarnet)
                 throws java.sql.SQLException</pre>
<div class="block">Actualizar prestamo de un libro<br>
 Metodo que actualiza exclusivamente el campo carnet_usuario y con ello se
 actualiza el estado del prestamo.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - parametro cuyo valor correspondera con el numero de ISBN de
 un libro</dd>
<dd><code>numCarnet</code> - parametro cuyo valor correspondera con el numero de
 carnet del usuario</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="getRowExampleInsertLibros--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRowExampleInsertLibros</h4>
<pre>public&nbsp;java.lang.String&nbsp;getRowExampleInsertLibros()</pre>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="getRowExampleInsertUsuarios--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRowExampleInsertUsuarios</h4>
<pre>public&nbsp;java.lang.String&nbsp;getRowExampleInsertUsuarios()</pre>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="getRowExampleInsertPrestamos--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRowExampleInsertPrestamos</h4>
<pre>public&nbsp;java.lang.String&nbsp;getRowExampleInsertPrestamos()</pre>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClaseBBDD.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?DAO/ClaseBBDD.html" target="_top">Frames</a></li>
<li><a href="ClaseBBDD.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
